pro convert_time,time,hour,min,sec

;+
;============================================================================
;
;	procedure : convert_time
;
;	purpose : convert time from seconds to hour,min,sec
;
;	written :  cbeck@KIS 10/01
;
;==============================================================================
;
;	Check number of arguments.
;
;==============================================================================
if (n_params() lt 4) then begin
	print
	print, "usage: convert_time,time,hour,min,sec
	print
	print, "	Convert time from seconds to hour,min,sec."
        print
	print, "	Arguments"
        print, "                Input  :"
        print, "                time  : time in seconds to be converted"
        print, "                Output :"
        print, "                hour,min,sec : converted time"
        print
        return
endif
;==============================================================================
;-

min_sec = time mod 3600
sec = min_sec mod 60
min_sec1 = min_sec - sec
min = min_sec1/60 

hour = (time-min_sec) / 3600
hour = fix(hour)

end
