pro do_telcal,infile,tmatsave,azimuth=azimuth,outfile = outfile,opticthick = opticthick

if n_elements(opticthick) eq 0 then opticthick  = 1
xswitch1 = 1

ex_in = check_existence(infile,/read,/change)
infile = ex_in(0)
ex_tmat = check_existence(tmatsave,/read,/change)
tmatsave = ex_tmat(0)
restore,tmatsave

test_out:
if n_elements(outfile) ne 0 then begin
ex_out = check_existence(outfile,/write,/change)
outfile = ex_out(0)
endif else begin
outfile = infile+'.telcor'
goto,test_out
endelse

if n_elements(azimuth) eq 0 then begin
print
ans = read_keyboard(' Please enter azimuth angle of C1: ',/number)
azimuth = ans(0)
endif

@polis_op_hdr.com
read_polis_op_hdr,infile,op_hdr,/verbose

nx = numx & ny = numy

@polis_sc_hdr.com

scan_steps = map_steps
small = [nx,ny]

;openw,out_unit,outfile,/get_lun
;writeu,out_unit,op_hdr

for k = 0,scan_steps-1 do begin

scannum = float(k)

pos = get_pointer(scannum,nx,ny)
read_polis_sc_hdr,infile,pos,sc_hdr,/verbose
read_polis_sc_data,infile,pos,i_arr,q_arr,u_arr,v_arr,small = small

; establish window parameters for time of scan step
date = [sc_year mod 2000,sc_month,sc_day,sc_hour+sc_min/60.+sc_sec/3600.]
gg = where(range-date(3) gt 0)
fitparam(1) = winang_time(min(gg))
fitparam(2) = winret_time(min(gg))

; calculate complete telescope matrix
T2 = get_tmatrix(date,mirrorparam,fitparam,azimuth,xswitch1,angle,opticthick=opticthick)

; invert T-matrix
T_inv = invert(T2,/double)

print,T_inv

paused

endfor

free_lun,out_unit








end
