pro draw_rec,x,y,color=color,data=data,thick=thick,normal = normal,device = device,linestyle= linestyle

;+
;============================================================================
;
;	procedure : draw_rec
;
;	purpose  : draw rectangle in plot
;
;	written :  bingert@KIS
;
;==============================================================================
;
;	Check number of arguments.
;
;==============================================================================
if (n_params() lt 2) then begin
	print
	print, "usage:  draw_rec,x,y,color=color,data=data,thick=thick,"
        print, "                 normal = normal,device = device"
	print
	print, "	Draw rectangle [x1,y1] to [x2,y2] in plot."
        print
	print, "	Arguments"
        print, "                Input :"
        print, "		x = [x1,x2] : left and right corner"
        print, "                y = [y1,y2] : lower and upper corner"
        print
        print
        return
endif
;==============================================================================
;-


  plots,[x[0],x[0]],[y[0],y[1]],data=data,thick=thick,color=color,normal = normal,device = device,linestyle= linestyle
  plots,[x[1],x[1]],[y[0],y[1]],data=data,thick=thick,color=color,normal = normal,device = device,linestyle= linestyle
  plots,[x[0],x[1]],[y[0],y[0]],data=data,thick=thick,color=color,normal = normal,device = device,linestyle= linestyle
  plots,[x[0],x[1]],[y[1],y[1]],data=data,thick=thick,color=color,normal = normal,device = device,linestyle= linestyle

end
