function mamultsymb,a,b,xswitch

;+
;============================================================================
;
;	function : mamultsymb
;
;	purpose  : Perform matrix multiplication of 2 symbolic matrices.
;
;	written :  cbeck@KIS
;
;=============================================================================
;
;	Check number of arguments.
;
;=============================================================================
if (n_params() lt 3) then begin
	print
	print, "usage:  erg = mamultsymb(a,b,xswitch)"
	print
	print, "	Perform standard matrix multiplication of two"
        print, "        string matrices with symbolic entries."
        print, "        Entries equal to zero will be set to zero."
        print
	print, "	Arguments"
        print, "                Input :"
        print, "	        a : n x m string matrix"
        print, "	        b : m x k string matrix"
        print, "                xswich : 1 put parentheses around result"
        print, "                         0 no parentheses"
        print
        return,0
endif
;=============================================================================
;-

; no other comments
zz1 = size(a)
zz2 = size(b)

if zz1(1) ne zz2(2) then begin
print,' Error : wrong dimensions !'
print,' Number of columns of a = '+strcompress(string(zz1(1)))+' has to be equal to number of rows of b = '+strcompress(string(zz2(2)))+' !'
return,0
endif

result = strarr(zz1(2),zz2(1))

for i = 0,zz1(2)-1 do begin

    for j = 0,zz2(1)-1 do begin        
        erg = strarr(1,1)
        for n = 0,zz1(1)-1 do begin
            
            if n eq 0 then begin
                if strcmp(a(n,i),'0') ne 1  and strcmp(b(j,n),'0') ne 1 then begin
                    if strcmp(a(n,i),'1') eq 1  and strcmp(b(j,n),'1') eq 1 then erg = a(n,i)
                    if strcmp(a(n,i),'1') eq 1  and strcmp(b(j,n),'1') ne 1 then erg = b(j,n)
                    if strcmp(a(n,i),'1') ne 1  and strcmp(b(j,n),'1') eq 1 then erg = a(n,i)
                    if strcmp(a(n,i),'1') ne 1  and strcmp(b(j,n),'1') ne 1 then erg = a(n,i)+'*'+b(j,n)
                endif
            endif 
             
            if n gt 0 then begin
                if strcmp(erg(0,0),'') ne 1 then begin
                    if strcmp(a(n,i),'0') ne 1  and strcmp(b(j,n),'0') ne 1 then begin
                        if strcmp(a(n,i),'1') eq 1  and strcmp(b(j,n),'1') eq 1 then erg = erg+'+'+a(n,i)
                        if strcmp(a(n,i),'1') eq 1  and strcmp(b(j,n),'1') ne 1 then erg = erg+'+'+b(j,n)
                        if strcmp(a(n,i),'1') ne 1  and strcmp(b(j,n),'1') eq 1 then erg = erg+'+'+a(n,i)
                        if strcmp(a(n,i),'1') ne 1  and strcmp(b(j,n),'1') ne 1 then erg = erg+'+' + a(n,i) +'*'+  b(j,n)
                    endif
                endif
                if strcmp(erg(0,0),'') eq 1 then begin
                    if strcmp(a(n,i),'0') ne 1  and strcmp(b(j,n),'0') ne 1 then begin
                        if strcmp(a(n,i),'1') eq 1  and strcmp(b(j,n),'1') eq 1 then erg = erg+a(n,i)
                        if strcmp(a(n,i),'1') eq 1  and strcmp(b(j,n),'1') ne 1 then erg = erg+b(j,n)
                        if strcmp(a(n,i),'1') ne 1  and strcmp(b(j,n),'1') eq 1 then erg = erg+a(n,i)
                        if strcmp(a(n,i),'1') ne 1  and strcmp(b(j,n),'1') ne 1 then erg = erg+ a(n,i) +'*'+  b(j,n)
                    endif
                endif
            endif
        endfor
        result(i,j) = erg
    endfor
endfor

for s = 0,zz1(2)-1 do begin
    for t = 0,zz2(1)-1 do begin
        if xswitch eq 1 then begin
        if strcmp(result(s,t),'') ne 1 then result(s,t) = '('+result(s,t)+')'
        endif
        if strcmp(result(s,t),'') eq 1 then result(s,t) ='0'        
    endfor
endfor

return,transpose(result)
end
