function mittelung,x
;+
;============================================================================
;
;	function : mittelung
;
;	purpose  : floating average over 3 pixel range on vector
;
;       calls    : length.pro
;
;	written  : cbeck@KIS 06/02
;
;==============================================================================
;
;	Check number of arguments.
;
;==============================================================================
if (n_params() lt 1) then begin
	print
	print, "usage:  erg = mittelung(x)
	print
	print, "	Perform average over 3 pixel according to"
        print, "        x_av(k) = 1/3 * (x(k-1)+x(k)+x(k+1))"
        print
        print, "        Input:"
        print, "              x : 1-dimensional vector"
        print
        print, "        Output:"
        print, "              erg = averaged vector of same dimensions."
        print
        return,0
endif
;==============================================================================
;-

N = length(x)
xmitt = fltarr(N)

for k = 1,N-2 do begin
xmitt(k) = (x(k-1)+x(k)+x(k+1))/3.
endfor

xmitt(0) = x(0)
xmitt(N-1) = x(N-1)

return,xmitt
end
