function num2string,value

;+
;==============================================================================
;
;	function : num2string
;
;	purpose  : return the value as a string without whitespaces
;
;       calls    : strtrim.pro, strcompress.pro, string.pro (idl-implemented)
;
;	writen   : cbeck@kis, 06/02
;
;==============================================================================
;
;	Check number of parameters.
;
;==============================================================================
if n_params() ne 1 then begin
	print
	print, "usage:  str = num2string(value)"
	print
	print, "      Return 'value' as a string vector without whitespaces"
	print
	print, "	Arguments"
        print, "                Input :"
        print, "                value : number/vector to be converted"
        print
        print, "                Output:"
        print, "                str   : string/vector of strings"
        print
	return, ''
endif
;==============================================================================
;-

;==============================================================================
;	Return compressed string.
;==============================================================================
return, strtrim(strcompress(string(value)),2)

end
