pro plot_hist,param,xtitle= xtitle,ytitle= ytitle,title= title,nbins = nbins,xrange = xrange, yrange = yrange,charsize= charsize,oplott = color,plot_range = plot_range,thick = thick,position = position,device = device,xlog = xlog,charthick = charthick,return_values =return_values ,noplot = noplot,ylog = ylog,ooff =ooff,xminor = xminor,ymargin = ymargin,xcharsize = xcharsize ,xmargin = xmargin,ycharsize = ycharsize,nodata = nodata,pdf = pdf
;+
;============================================================================
;
;	procedure : plot_hist
;
;	purpose  : Plot histogram of vector.
;
;	written :  cbeck@KIS
;
;=============================================================================
;
;	Check number of arguments.
;
;=============================================================================
if (n_params() lt 1) then begin
	print
	print, "usage:  plot_hist,param,xtitle= xtitle,ytitle= ytitle,"
        print, "                  title= title,nbins = nbins,xrange = xrange,"
        print, "                  yrange = yrange,charsize= charsize,"
        print, "                  oplott = color,plot_range = plot_range,"
        print, "                  thick = thick,position = position,"
        print, "                  device = device"
	print
	print, "	Plot histogram of vector in nbins equidistant bins."
        print, "        Output is in percent. Allows overplot of other"
        print, "        histograms."
        print
	print, "	Arguments"
        print, "                Input :"
        print, "	        param : vector of values"
        print
        print, "        Keywords:"
        print, "              xtitle,ytitle,title,thick,position: as usual"
        print, "              nbins  : number of bins"
        print, "              xrange : xrange of plot"
        print,"               yrange : range [low,high] of values in param"
        print, "                       to be considered, values outside will"
        print, "                       be neglected for the histogram."
        print, "              plot_range : range of y-axis for plot"
        print, "              oplott : number of color for an overplotted"
        print, "                       histogram. Uses oplot over existing"
        print, "                       graph."
        print
        return
endif
;=============================================================================
;-

if n_elements(param) eq 0 then begin
print,'plot_hist:'
print,'No values given.'
print,'Returning without action.'
return
endif


paramold = param

param = double(param)

if n_elements(nbins) eq 0 then nbins = 50.
if n_elements(yrange) ne 0 then begin
ff = where(param ge yrange(0) and param le yrange(1))
if ff(0) ne -1 then  param = param(ff) else begin
print,'plot_hist:'
print,'No values in specified range found !'
print,'Returning without action.'
return
endelse
endif

rr = histogra(param,nbins)

if n_elements(noplot) eq 0 then begin

if n_elements(xrange) ne 0 then xxrange = xrange else xxrange = [rr(nbins)-.5*rr(nbins+1)+.5*rr(nbins),rr(2*nbins-1)+.5*rr(nbins+1)-.5*rr(nbins)]

if n_elements(plot_range) ne 0 then yr = plot_range else yr = [0,max(rr(0:nbins-1)/float(total(rr(0:nbins-1))))*100+1]



ddist = rr(nbins+1)-rr(nbins)

if n_elements(pdf) ne 0 then yr = yr/100./ddist

if n_elements(ooff) eq 0 then ooff  = 0

if n_elements(pdf) eq 0 then begin

if n_elements(color) eq 0 then plot,[rr(nbins)-.5*rr(nbins+1)+.5*rr(nbins),rr(nbins:2*nbins-1),rr(2*nbins-1)+.5*rr(nbins+1)-.5*rr(nbins)],[0,rr(0:nbins-1)/float(total(rr(0:nbins-1))),0]*100+ooff,psym = 10,nodata = nodata ,charsize= charsize,xtitle = xtitle,ytitle= ytitle,title= title, xrange = [xxrange(0),xxrange(1)],/xstyle,yrange= yr,/ystyle,thick = thick,position = position,device = device,xlog = xlog,charthick = charthick,ylog = ylog,xminor = xminor,ymargin = ymargin,ycharsize = ycharsize ,xmargin = xmargin,xcharsize = xcharsize  else oplot,[rr(nbins)-.5*rr(nbins+1)+.5*rr(nbins),rr(nbins:2*nbins-1),rr(2*nbins-1)+.5*rr(nbins+1)-.5*rr(nbins)],[0,rr(0:nbins-1)/float(total(rr(0:nbins-1))),0]*100+ooff,psym = 10,color= color,thick = thick

endif


if n_elements(pdf) ne 0 then begin

if n_elements(color) eq 0 then plot,[rr(nbins)-.5*rr(nbins+1)+.5*rr(nbins),rr(nbins:2*nbins-1),rr(2*nbins-1)+.5*rr(nbins+1)-.5*rr(nbins)],[0,rr(0:nbins-1)/float(total(rr(0:nbins-1))),0]/ddist+ooff,psym = 10,nodata = nodata ,charsize= charsize,xtitle = xtitle,ytitle= ytitle,title= title, xrange = [xxrange(0),xxrange(1)],/xstyle,yrange= yr,/ystyle,thick = thick,position = position,device = device,xlog = xlog,charthick = charthick,ylog = ylog,xminor = xminor,ymargin = ymargin,ycharsize = ycharsize ,xmargin = xmargin,xcharsize = xcharsize  else oplot,[rr(nbins)-.5*rr(nbins+1)+.5*rr(nbins),rr(nbins:2*nbins-1),rr(2*nbins-1)+.5*rr(nbins+1)-.5*rr(nbins)],[0,rr(0:nbins-1)/float(total(rr(0:nbins-1))),0]/ddist+ooff,psym = 10,color= color,thick = thick

endif


endif


param = paramold

return_values = rr


end
