function read_keyboard,text,number = number, help = help

;+
;============================================================================
;
; function : read_keyboard
;
; purpose  : read user input from keyboard
;
; calls    : read.pro (idl-implemented), string2num.pro
;
; written  : cbeck@KIS 06/02
;
;============================================================================
;
;	Check number of arguments.
;
;==============================================================================
if (n_elements(help) ne 0) then begin
	print
	print, "usage: ans = read_keyboard(text,/number,/help)"
        print
	print, "	Read user input from terminal. Default output: string."
        print, "        See string2num for details on conversion if /number"
        print, "        is set."
        print
	print, "	Arguments"
        print, "                Input :"
        print, "		text  : string to be printed, may be"
        print, "                        completely omitted "
        print
        print, "                Output:"
        print, "                ans   : user input from terminal"
        print
        print, "        Keywords:"
        print, "                /number : convert input to floating number"
        print, "                          multiple input '1,2,42' allowed"
        print, "                          see string2num.pro for details"
        print, "                /help   : print this text 
        print
        return,0
endif
;==============================================================================
;-

ans=''
;if n_elements(text) eq 0 then text = ''

;----------------------------------------------------------------------------
; read input from terminal
;----------------------------------------------------------------------------
read,ans,prompt=text

;----------------------------------------------------------------------------
; convert to floating if /number is set
;----------------------------------------------------------------------------
if n_elements(number) ne 0 then begin
if ans eq '' then ans ='0'
ans = string2num(ans)
gg = string(ans)
if string(gg(0)) eq 'nonumber' then print,' ! read_keyboard: Unable to convert input to floating number !'
rr = size(ans,/type)
if rr eq 4 and n_elements(ans) eq 1 then ans = ans(0)
endif

;----------------------------------------------------------------------------
; return user input
;----------------------------------------------------------------------------
return,ans

end
