pro skypol_100417

inpath = '/data/cbeck/obs2017/obs_april_2017/ccc02/Apr1017/'

erg =read_directory(inpath,filter = '*map*')
files = erg.files

 ;DATE-OBS= '2017-04-10T14:36:02.349'
 ;DST_AZ  =   3.820999600000E-02 / DST turret azimuth (degrees)
 ;        DST_EL  =   7.498371800000E+01 / DST turret elevation (degrees) 


azi = fltarr(n_elements(files))
elev = fltarr(n_elements(files))
ttime = fltarr(n_elements(files))


for k = 0,n_elements(files)-1 do begin

read_spinor,inpath+files(k),data,1.,hdr

aaz = FXPAR(hdr,'DST_AZ')
el = FXPAR(hdr,'DST_EL')
timestring = FXPAR(hdr,'DATE-OBS')
timestring = string2num(timestring,divider = 'T:')
hh = timestring(1)+timestring(2)/60.


ttime(k) = hh
azi(k) = aaz
elev(k) = el

endfor

ff =where(elev gt 50.)
ppos1 = [5, 9 ,13, 17 ,21, 25 ,30 ]  -1   ; 0 75

ff =where(azi gt 200.)    ; 330, 45
ppos2 = [4 ,8 ,12 ,16 ,20, 24, 29]-1

ff =where(elev lt 35.)    ; 0, 30
ppos3 = [1 ,2 ,6 ,10 ,14 ,18 ,22 ,26 ,31]-1

ff =where(azi gt 10. and azi lt 45.)    ; 30, 45
ppos4 = [3 ,7 ,11 ,15 ,19, 23 ,27 ,28 ,32]-1


;170410.083601.0.ccc02.c-hrt.map.0005.fits
;170410.092255.0.ccc02.c-hrt.map.0009.fits 
;170410.100536.0.ccc02.c-hrt.map.0013.fits
;170410.110511.0.ccc02.c-hrt.map.0017.fits 
;170410.115059.0.ccc02.c-hrt.map.0021.fits 
;170410.123317.0.ccc02.c-hrt.map.0025.fits
;170410.134020.0.ccc02.c-hrt.map.0030.fits

date ='100417'
  output_dir = '/data/cbeck/obs2017/obs_april_2017/ccc02/'+date+'_615_reduced/'

erg = read_directory(output_dir,filter ='*reduced.dat')
filesin = erg.files

ii = fltarr(n_elements(filesin))
qq = ii - ii
uu = ii - ii
vv = ii - ii

for k = 0,n_elements(filesin)-1 do begin

infile = output_dir + filesin(k)
restore,infile+'.sav'

i = fltarr(dx_final+1,dy_final+1)
q = i-i
u = i-i
v = i- i

a = fltarr(dx_final+1,dy_final+1,4)
openr,1,infile
for kk =0,19 do begin

readu,1,a

i = i +reform(a(*,*,0))
q = q +reform(a(*,*,1))
u = u +reform(a(*,*,2))
v = v +reform(a(*,*,3))

endfor

close,1

ii(k) = median(i)
qq(k) = median(q/i)
uu(k) = median(u/i)
vv(k) = median(v/i)



endfor


window,0
!p.multi = [4,2,2]
plot,ttime(ppos1),ii(ppos1),title = 'Stokes I'
plot,ttime(ppos1),qq(ppos1),yr =[-1,1],/ystyle,title = 'Stokes Q'
plot,ttime(ppos1),uu(ppos1),yr =[-1,1],/ystyle,title = 'Stokes U'
plot,ttime(ppos1),vv(ppos1),yr =[-1,1],/ystyle,title = 'Stokes V'


window,1
!p.multi = [4,2,2]
plot,ttime(ppos2),ii(ppos2),title = 'Stokes I'
plot,ttime(ppos2),qq(ppos2),yr =[-1,1],/ystyle,title = 'Stokes Q'
plot,ttime(ppos2),uu(ppos2),yr =[-1,1],/ystyle,title = 'Stokes U'
plot,ttime(ppos2),vv(ppos2),yr =[-1,1],/ystyle,title = 'Stokes V'


window,2
!p.multi = [4,2,2]
plot,ttime(ppos3),ii(ppos3),title = 'Stokes I'
plot,ttime(ppos3),qq(ppos3),yr =[-1,1],/ystyle,title = 'Stokes Q'
plot,ttime(ppos3),uu(ppos3),yr =[-1,1],/ystyle,title = 'Stokes U'
plot,ttime(ppos3),vv(ppos3),yr =[-1,1],/ystyle,title = 'Stokes V'


window,3
!p.multi = [4,2,2]
plot,ttime(ppos4),ii(ppos4),title = 'Stokes I'
plot,ttime(ppos4),qq(ppos4),yr =[-1,1],/ystyle,title = 'Stokes Q'
plot,ttime(ppos4),uu(ppos4),yr =[-1,1],/ystyle,title = 'Stokes U'
plot,ttime(ppos4),vv(ppos4),yr =[-1,1],/ystyle,title = 'Stokes V'




stop


end
