pro test_spinor_jun2014


;if n_elements(infile) eq 0 then infile = '140630.081802.0.ccc02.c-hrt.map.0001.fits'

inpath ='/data/cbeck/obs2014/Jun3014/'

erg = read_directory(inpath,filter = '*.fits')
files = erg.files

for k = 0,n_elements(files) -1 do begin 
   infile = files(k)


   ffxread,inpath+infile,data,hdr,/nodata
   ntotal = fxpar(hdr,'NIMAGES')
   nsteps = fxpar(hdr,'NXTENS')

   ffxread,inpath+infile,data,hdr,exten = 1

   tt = size(data)

; ffxread,file,data,hdr,extension = number

   fulldata = fltarr(nsteps,tt(1),tt(2),tt(3))
   fulli = fltarr(nsteps,tt(1),tt(2))
   fullq = fltarr(nsteps,tt(1),tt(2))
   fullu = fltarr(nsteps,tt(1),tt(2))
   fullv = fltarr(nsteps,tt(1),tt(2))

for kk =0,nsteps-1 do begin &   read_spinor,inpath+infile,data,1.+kk,hdr &    fulldata(kk,*,*,*) = data&  demod_spinor,data,i,q,u,v &   fulli(kk,*,*) = i &   fullq(kk,*,*) = q&   fullu(kk,*,*) = u&    fullv(kk,*,*) = v  & endfor

pp = 0 
if pp eq 1 then begin
ic = reform(fulli(*,145,*))
sscale = .75
window,0,xs = 512*2.*sscale,ys = 512*2.*sscale
for kk = 0,nsteps-1 do begin & tvscl,congrid(reform(fulli(kk,*,*)),512*sscale,512*sscale,/interp),0,0 &  tvscl,congrid(reform(fullq(kk,*,*)),512*sscale,512*sscale,/interp),512*sscale,0 &  tvscl,congrid(reform(fullu(kk,*,*)),512*sscale,512*sscale,/interp),0,512*sscale &  tvscl,congrid(reform(fullv(kk,*,*)),512*sscale,512*sscale,/interp),512*sscale,512*sscale & wait,.1 & print,kk & endfor 

endif


ii1 = fulli(*,145,360)
ii2 = fulli(*,145,820)

qq1 = fullq(*,145,360)/fulli(*,145,360)
qq2 = fullq(*,145,820)/fulli(*,145,360)

uu1 = fullu(*,145,360)/fulli(*,145,360)
uu2 = fullu(*,145,820)/fulli(*,145,360)

vv1 = fullv(*,145,360)/fulli(*,145,360)
vv2 = fullv(*,145,820)/fulli(*,145,360)

window,k,xs = 800, ys = 800,title = infile+' '+num2string(k)
!p.multi = [4,2,2]
plot,ii1,yr = [min( [min(ii1),min(ii2)]),max( [max(ii1),max(ii2)])],/ystyle,title = 'Stokes I'
oplot,ii2,color =240
plot,qq1,yr = [min( [min(qq1),min(qq2)]),max( [max(qq1),max(qq2)])],/ystyle,title = 'Stokes Q'
oplot,qq2,color =240
plot,uu1,yr = [min( [min(uu1),min(uu2)]),max( [max(uu1),max(uu2)])],/ystyle,title = 'Stokes U'
oplot,uu2,color =240
plot,vv1,yr = [min( [min(vv1),min(vv2)]),max( [max(vv1),max(vv2)])],/ystyle,title = 'Stokes V'
oplot,vv2,color =240



print,k,' ',infile,stddev(qq1),stddev(uu1),stddev(vv1)


endfor



stop


end
