function vecnorm,x

;+
;============================================================================
;
;	function : vecnorm
;
;	purpose  : calculate absolute length of 3-D vector
;
;	written :  cbeck@KIS
;
;=============================================================================
;
;	Check number of arguments.
;
;=============================================================================
if (n_params() lt 1) then begin
	print
	print, "usage:  erg = vecnorm(x)"
	print
	print, "	Calculate length of 3-D vector."
        print
	print, "	Arguments"
        print, "                Input :"
        print, "	        x :  vector with [x1,x2,x3]"
        print
        return,0
endif
;=============================================================================
;-


; function : vecnorm
; purpose  : calculate norm of 3-dim vector
; ! no dimension check !
; written  : cbeck@KIS 06/02

norm = sqrt(x(0)^2.+x(1)^2.+x(2)^2.)

return,norm
end
